Subject: bug#47956: nfs-root-fs test is failing

From: Stefan <[email-masked]>
Date: Thu, 22 Apr 2021 21:28:01 +0200

Hi Mathieu!

> I think I'll remove the "nfs-root-fs" test for now.

> Any objections?

I’d like to ask you to apply my patch. It paves the way for using nfs-shares inside virtual machines, which is not possible today. This is certainly a good impovement. 

The patch also fixes the nfs-root test. It would certainly work, if networking in qemu during the bootup works and if the two virtual machines are able to communicate via IP to each other.

It woud be sufficient to comment out the nfs-root test or even only the client part of it. But please don’t throw it away!

If either the kernel or the initrd will be changed to support networking in qemu, then this test needs possibly only small adjustments to start working. For the networking part at bootup it is enough to add CONFIG_E1000 when building linux-libre. Is that an acceptable change? If so then I could give it another try.

Bye

Stefan